Package com.sap.ai.sdk.core.model

# Class BckndDeploymentQuota

java.lang.Object
com.sap.ai.sdk.core.model.BckndDeploymentQuota

public class BckndDeploymentQuota extends Object
BckndDeploymentQuota

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndDeploymentQuota()`
  Default constructor for BckndDeploymentQuota.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndDeploymentQuota`
  `create()`
  Create a new `BckndDeploymentQuota` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndDeploymentQuota`.
  `Integer`
  `getMaxCount()`
  The value can be 0(disabled) or a positive integer defining the maximum allowed number
  `Integer`
  `getMaxReplicaPerDeployment()`
  Get maxReplicaPerDeployment
  `int`
  `hashCode()`
  `BckndDeploymentQuota`
  `maxCount(Integer maxCount)`
  Set the maxCount of this `BckndDeploymentQuota` instance and return the same instance.
  `BckndDeploymentQuota`
  `maxReplicaPerDeployment(Integer maxReplicaPerDeployment)`
  Set the maxReplicaPerDeployment of this `BckndDeploymentQuota` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndDeploymentQuota` instance.
  `void`
  `setMaxCount(Integer maxCount)`
  Set the maxCount of this `BckndDeploymentQuota` instance.
  `void`
  `setMaxReplicaPerDeployment(Integer maxReplicaPerDeployment)`
  Set the maxReplicaPerDeployment of this `BckndDeploymentQuota` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndDeploymentQuota` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndDeploymentQuota

    protected BckndDeploymentQuota()
    Default constructor for BckndDeploymentQuota.

- ## Method Details

  - ### maxCount

    @Nonnull public BckndDeploymentQuota maxCount(@Nullable Integer maxCount)
    Set the maxCount of this `BckndDeploymentQuota` instance and return the same instance.
    Parameters:
      `maxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      The same instance of this `BckndDeploymentQuota` class

  - ### getMaxCount

    @Nonnull public Integer getMaxCount()
    The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      maxCount The maxCount of this `BckndDeploymentQuota` instance.

  - ### setMaxCount

    public void setMaxCount(@Nullable Integer maxCount)
    Set the maxCount of this `BckndDeploymentQuota` instance.
    Parameters:
      `maxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number

  - ### maxReplicaPerDeployment

    @Nonnull public BckndDeploymentQuota maxReplicaPerDeployment(@Nullable Integer maxReplicaPerDeployment)
    Set the maxReplicaPerDeployment of this `BckndDeploymentQuota` instance and return the same instance.
    Parameters:
      `maxReplicaPerDeployment` - The maxReplicaPerDeployment of this `BckndDeploymentQuota`
    Returns:
      The same instance of this `BckndDeploymentQuota` class

  - ### getMaxReplicaPerDeployment

    @Nonnull public Integer getMaxReplicaPerDeployment()
    Get maxReplicaPerDeployment
    Returns:
      maxReplicaPerDeployment The maxReplicaPerDeployment of this `BckndDeploymentQuota` instance.

  - ### setMaxReplicaPerDeployment

    public void setMaxReplicaPerDeployment(@Nullable Integer maxReplicaPerDeployment)
    Set the maxReplicaPerDeployment of this `BckndDeploymentQuota` instance.
    Parameters:
      `maxReplicaPerDeployment` - The maxReplicaPerDeployment of this `BckndDeploymentQuota`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndDeploymentQuota`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndDeploymentQuota` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndDeploymentQuota` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndDeploymentQuota` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndDeploymentQuota create()
    Create a new `BckndDeploymentQuota` instance. No arguments are required.